<script>
import {Doughnut} from "vue-chartjs";

export default {
    name: "DoughnutChart",

    extends: Doughnut,

    props: {
        data: {
            type: Array,
            required: true
        },
        labels: {
            type: Array,
            required: true
        },
        colors: {
            type: Array,
            required: true
        },
    },

    mounted() {
        this.renderChart({
            labels: this.labels,
            datasets: [
                {
                    label: "",
                    borderColor: this.colors,
                    backgroundColor: this.colors,
                    data: this.data,
                    borderWidth: 2,
                },
            ],
        },);
    }
}
</script>

<style scoped>

</style>